> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teal.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Reconciliations

> List an instance's reconciliations.



## OpenAPI

````yaml GET /v0/reconciliations
openapi: 3.1.0
info:
  title: Teal API
  version: '0.1'
servers:
  - url: https://api.sandbox.teal.dev
    description: Sandbox
  - url: https://api.teal.dev
    description: Production
security: []
paths:
  /v0/reconciliations:
    get:
      tags:
        - Reconciliation
      summary: List Reconciliations
      description: List an instance's reconciliations.
      operationId: list_reconciliations_v0_reconciliations_get
      parameters:
        - name: sort
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  $ref: '#/components/schemas/ReconciliationSort'
              - type: 'null'
            description: A comma separated list of sort orders for the results.
            teal_explode: false
            title: Sort
          description: A comma separated list of sort orders for the results.
        - name: progress_status
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/ReconciliationProgressStatus'
              - type: 'null'
            description: Only return Reconciliations with a specific progress status.
            title: Progress Status
          description: Only return Reconciliations with a specific progress status.
        - name: ledger_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: The ledger ID.
            title: Ledger Id
          description: The ledger ID.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            exclusiveMaximum: 1001
            description: The number of records to return. Max limit is 1000.
            default: 50
            title: Limit
          description: The number of records to return. Max limit is 1000.
        - name: page_token
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Opaque page token
            title: Page Token
          description: Opaque page token
        - name: teal-instance-id
          in: header
          required: true
          schema:
            type: string
            description: The Teal instance ID
            title: Teal-Instance-Id
          description: The Teal instance ID
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReconciliationPage'
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TealErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TealErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TealErrorResponse'
          description: Unprocessable Content
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TealErrorResponse'
          description: Service Unavailable
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    ReconciliationSort:
      type: string
      enum:
        - ending_date
        - '-ending_date'
      title: ReconciliationSort
    ReconciliationProgressStatus:
      type: string
      enum:
        - completed
        - in_progress
      title: ReconciliationProgressStatus
    ReconciliationPage:
      properties:
        next_page_token:
          anyOf:
            - type: string
            - type: 'null'
          description: The token to use to request the next page
          examples:
            - ikal0NEVfMhF8dJf4yQ6KQZmGD
        prev_page_token:
          anyOf:
            - type: string
            - type: 'null'
          description: The token to use to request the previous page
          examples:
            - vuA7JeKI5c6FLnPt5JfRcZcJxW
        records:
          items:
            $ref: '#/components/schemas/Reconciliation'
          type: array
          title: Records
          description: A list of Reconciliations.
      type: object
      required:
        - next_page_token
        - prev_page_token
        - records
      title: ReconciliationPage
    TealErrorResponse:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          description: A description of the error for API developers.
        data:
          title: Data
          description: Data associated with the error.
        display_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Message
          description: A description of the error for end users.
        error_code:
          anyOf:
            - $ref: '#/components/schemas/TealErrorCode'
            - type: 'null'
          description: Error code associated with the error.
      type: object
      required:
        - message
      title: TealErrorResponse
    Reconciliation:
      properties:
        id:
          type: string
          title: Id
          description: The Reconciliation ID.
          examples:
            - FYQxHfWNCMnUuXr6iQhjgG
        ledger_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Ledger Id
          description: The Ledger ID
          examples:
            - WTjdK47SHxokWUdypL8zyB
        start_datetime:
          type: string
          format: date-time
          title: Start Datetime
          description: The start datetime of the Reconciliation.
          examples:
            - '2024-01-01T00:00:00Z'
        end_datetime:
          type: string
          format: date-time
          title: End Datetime
          description: The end datetime of the Reconciliation.
          examples:
            - '2024-01-01T00:00:00Z'
        reconciled_balance:
          type: number
          title: Reconciled Balance
          description: >-
            The balance of all reconciled journal entries in the ledger with a
            datetime before the end datetime. Excludes journal entries that were
            skipped to be reconciled in a later reconciliation after the end
            datetime.
          examples:
            - 132629.38
        statement_starting_balance:
          anyOf:
            - type: number
            - type: 'null'
          title: Statement Starting Balance
          description: >-
            The starting balance of the statement. Equal to the
            statement_ending_balance of the previous reconciliation or the
            opening balance of the ledger
          examples:
            - 122629.38
        statement_ending_balance:
          type: number
          title: Statement Ending Balance
          description: >-
            The ending balance of the statement used to perform the
            Reconciliation.
          examples:
            - 132629.38
        reconciliation_status:
          $ref: '#/components/schemas/ReconciliationStatus'
          description: The status of the Reconciliation.
          examples:
            - unreconciled
            - reconciled
        progress_status:
          type: string
          title: Progress Status
          description: The progress of the Reconciliation.
          examples:
            - in_progress
            - completed
        completed_on_datetime:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed On Datetime
          description: The datetime when the Reconciliation was last changed to completed.
          examples:
            - '2024-01-01T00:00:00Z'
        final_reconciled_balance:
          type: number
          title: Final Reconciled Balance
          description: >-
            The statement balance after applying all journal entries in the
            reconciliation period. For completed reconciliations this equals the
            reconciled_balance. For in-progress reconciliations this is the
            running balance through the last journal entry.
          examples:
            - 132629.38
      type: object
      required:
        - id
        - start_datetime
        - end_datetime
        - reconciled_balance
        - statement_ending_balance
        - reconciliation_status
        - progress_status
        - final_reconciled_balance
      title: Reconciliation
    TealErrorCode:
      type: string
      enum:
        - invalid_date
        - invalid_ledger
        - missing_parameters
        - duplicate_name
        - duplicate_sort_code
        - invalid_ledger_type
        - invalid_ledger_report_cash_flow
        - deleting_required_ledger
        - repeated_tag_group
        - deleting_transaction_line
        - modifying_read_only_ledger
        - debits_credits_not_equal
        - modifying_datetime_opening_balance
        - modifying_accrual_journal_entry
        - modifying_payment_application_journal_entry
        - reconciliation_in_progress
        - reconciled_balance_does_not_match
        - journal_entry_outside_reconciliation_period
        - entries_start_date_after_transactions
        - entries_start_date_after_reconciliations
        - entries_start_date_after_journal_entries
      title: TealErrorCode
    ReconciliationStatus:
      type: string
      enum:
        - reconciled
        - unreconciled
      title: ReconciliationStatus
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      description: >-
        Bearer authentication header of the form Bearer <token>, where <token>
        is your auth token.
      flows:
        password:
          scopes: {}
          tokenUrl: https://developer.teal.dev

````